#!/usr/bin/env python
"""
Unittest starter file. This file was generated automatically by
gen_unittest_runner.py on Fri Jun 21 14:24:06 2013.


This file is part of the VHIST project, http://www.nf.mpg.de/vhist,
which defines a file format suitable for documenting workflows. VHIST
files can store meta-data about the workflow and allow to embed
arbitrary binary data, such as images or log files, inside the
documentation. Embedded data can be validated using multiple facilities.
VHIST files can be viewed with any PDF browser.

(c) Max-Planck-Institute for Neurological Research (MPIFNF)
Cologne, Germany 2005 - 2013
Email: vhist@nf.mpg.de, http://www.nf.mpg.de/vhist

This application is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation
(LGPL version 2.1):

This application is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this application. If not, see
<http://www.gnu.org/licenses/>.

"""
import unittest, os, sys

args = sys.argv
# make sure "bin" is the working dir
os.chdir(os.path.abspath(os.path.split(args[0])[0]))

from vhist import test_cmdparser, test_defaultfiles, test_fileiterator, test_lexer, test_pdflexer, test_pdfobjs, test_pdfparser, test_pdftypes, test_pdfutils, test_tagutils, test_userinterface, test_utilities, test_vhisttags, test_xmlutils

modules = [test_cmdparser, test_defaultfiles, test_fileiterator, test_lexer, test_pdflexer, test_pdfobjs, test_pdfparser, test_pdftypes, test_pdfutils, test_tagutils, test_userinterface, test_utilities, test_vhisttags, test_xmlutils]

mainsuite = unittest.TestSuite()

# fill testsuite with test modules
for mod in modules:
    suite = unittest.TestLoader().loadTestsFromModule(mod)
    mainsuite.addTest(suite)

# run tests
runner = unittest.TextTestRunner(verbosity=2).run(mainsuite)
if runner.failures != []:
    sys.exit(1)
