"""
Not used.


This file is part of the VHIST project, http://www.nf.mpg.de/vhist,
which defines a file format suitable for documenting workflows. VHIST
files can store meta-data about the workflow and allow to embed
arbitrary binary data, such as images or log files, inside the
documentation. Embedded data can be validated using multiple facilities.
VHIST files can be viewed with any PDF browser.

(c) Max-Planck-Institute for Neurological Research (MPIFNF)
Cologne, Germany 2005 - 2013
Email: vhist@nf.mpg.de, http://www.nf.mpg.de/vhist

This application is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation
(LGPL version 2.1):

This application is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this application. If not, see
<http://www.gnu.org/licenses/>.

$Id: unextendable.py 1071 2008-05-25 18:58:08Z ahuesgen $
"""
class UnextendableError(Exception):
    pass

class Unextendable(object):
    def __setattr__(self, attr, value):
        """
        Overriden version of __setattr__. This method prevents the creation of
        new class members if the "noNewMembers" member exists.
        
        @type  attr: str
        @param attr: name of the class member
        
        @type  value: any
        @param value: corresponding value
        
        """
        if attr not in self.__dict__:
            if "noNewMembers" in self.__dict__:
                raise UnextendableError, "member %s does not exist" % attr
        
        # attribute can be set
        self.__dict__[attr] = value
