/* 
This file is part of the VHIST project, http://www.nf.mpg.de/vhist,
which defines a file format suitable for documenting workflows. VHIST
files can store meta-data about the workflow and allow to embed
arbitrary binary data, such as images or log files, inside the
documentation. Embedded data can be validated using multiple facilities.
VHIST files can be viewed with any PDF browser.

(c) Max-Planck-Institute for Neurological Research (MPIFNF)
Cologne, Germany 2005 - 2013
Email: vhist@nf.mpg.de, http://www.nf.mpg.de/vhist

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation
(LGPL version 2.1):

This application is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this application. If not, see
<http://www.gnu.org/licenses/>.

 $Id: vhistdelrunner.h 2179 2011-06-24 09:03:24Z ahuesgen $
 */

#ifndef VL_VHISTDELRUNNER_INCLUDED
#define VL_VHISTDELRUNNER_INCLUDED


#include "../shared/misc_defines.h"
#include "../shared/logsource.h"
#include "../../include/vhistaddlib/vhistrunner.h"

#include <QString>
#include <QStringList>


namespace vhist
{

/**
 * Executes an VHIST argfile using \e vhistadd. The class searches for
 * a \e vhistadd executable in the given path list. Both, the native
 * python version and the \e py2exe version of \e vhistadd are supported.
 */
class VHIST_EXTERN VhistdelRunner : public VhistRunner
{
	public:
    Q_OBJECT
    
    public:
        VhistdelRunner(QObject* listener = NULL);
        virtual ~VhistdelRunner();
        virtual int runProcess(const QString& argfile);
};

}

#endif // VL_VHISTDELRUNNER_INCLUDED

