# $Id: vhistlib.pro 2784 2013-05-06 10:24:52Z michael $

TEMPLATE = lib
CONFIG += qt warn_on
QT -= gui

CONFIG += silent

# to build vhistlib for Vinci
# set qmake property on the command-line: qmake -set VHAVE_VHISTLIB yes
# unset qmake property by: qmake -set VHAVE_VHISTLIB ""
VHAVE_VHISTLIB=$$[VHAVE_VHISTLIB]

CONFIG(debug, debug|release) {
    message(Debug build.)
    TARGET = vhistlibd
    DEFINES += VDEBUG
    contains(QMAKE_HOST.arch, x86): {
        OBJECTS_DIR = Debug
        RCC_DIR = Debug
        MOC_DIR = Debug
    }
    contains(QMAKE_HOST.arch, x86_64): {
        OBJECTS_DIR = Debug64
        RCC_DIR = Debug64
        MOC_DIR = Debug64
    }

}
else::release {
    message(Release build.)
    TARGET = vhistlib
    DEFINES += VRELEASE
    contains(QMAKE_HOST.arch, x86): {
        OBJECTS_DIR = Release
        RCC_DIR = Release
        MOC_DIR = Release
    }
    contains(QMAKE_HOST.arch, x86_64): {
        OBJECTS_DIR = Release64
        RCC_DIR = Release64
        MOC_DIR = Release64
    }
}

message($${OBJECTS_DIR})
message($${RCC_DIR})
message($${MOC_DIR})


win32 {
    DEFINES += _CRT_NONSTDC_NO_DEPRECATE
    DEFINES += _CRT_SECURE_NO_DEPRECATE
    INCLUDEPATH += $$(QTDIR)/src/3rdparty/zlib

    count(VHAVE_VHISTLIB,1) {
        contains(QMAKE_HOST.arch, x86): {
            QMAKE_LFLAGS *= /MACHINE:X86
            DEST_DIR_NAME=bin
        }
        contains(QMAKE_HOST.arch, x86_64): {
            QMAKE_LFLAGS *= /MACHINE:X64
            DEST_DIR_NAME=bin-x64
        }

        DESTDIR = ../../../vinci_q/$$DEST_DIR_NAME
        CONFIG(debug, debug|release): {
            LIBS += -L../../../vinci_q/$$DEST_DIR_NAME
        }
        else::release: {
            LIBS += -L../../../vinci_q/$$DEST_DIR_NAME
        }
    }
    else {
        contains(QMAKE_HOST.arch, x86): {
            QMAKE_LFLAGS *= /MACHINE:X86
            DESTDIR = ../../bin_win32
        }
        contains(QMAKE_HOST.arch, x86_64): {
            QMAKE_LFLAGS *= /MACHINE:X64
            DESTDIR = ../../bin_win64
        }
        message($${DESTDIR})
        message($${QMAKE_HOST.arch})
        CONFIG(debug, debug|release): {
            LIBS += -L$${DESTDIR}
        }
        else::release: {
            LIBS += -L$${DESTDIR}
        }
    }
}

unix {
    #linux-g++|linux-g++-32|linux-g++-64 {
    #    QMAKE_CXXFLAGS = -fvisibility=hidden
    #}
    count(VHAVE_VHISTLIB,1) {
        DESTDIR = ../../../vinci_q/bin
    }
    else {
        DESTDIR = bin
    }

    LIBS += -lz
}

# 
DEFINES += VHIST_LIB


include(vhistlib.pri)
