/* 
This file is part of the VHIST project, http://www.nf.mpg.de/vhist,
which defines a file format suitable for documenting workflows. VHIST
files can store meta-data about the workflow and allow to embed
arbitrary binary data, such as images or log files, inside the
documentation. Embedded data can be validated using multiple facilities.
VHIST files can be viewed with any PDF browser.

(c) Max-Planck-Institute for Neurological Research (MPIFNF)
Cologne, Germany 2005 - 2013
Email: vhist@nf.mpg.de, http://www.nf.mpg.de/vhist

This application is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation
(LGPL version 2.1):

This application is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this application. If not, see
<http://www.gnu.org/licenses/>.

 $Id: constants.cpp 2204 2011-06-29 14:26:54Z ahuesgen $
 */

#include "constants.h"

// mpi string
const QString VHISTZARD_ORGANIZATION("MPIfnF");
// web domain of VHIST
const QString VHISTZARD_DOMAIN("nf.mpg.de");

// application name
const QString VHISTZARD_NAME("VHISTzard");
// application version
const QString VHISTZARD_VERSION("1.83.0.2989");
// creation date of vhistzard
const QString VHISTZARD_DATE("Jun 21 2013");

// application name and version
const QString VHISTZARD_NAME_VERSION(VHISTZARD_NAME + " " + VHISTZARD_VERSION);

// application name and version and date
const QString VHISTZARD_FULLNAME(VHISTZARD_NAME + " " + VHISTZARD_VERSION
        + ", " + VHISTZARD_DATE);

// copyright date
const QString VHISTZARD_COPYRIGHT_DATE("2007-2011");
