/* 
This file is part of the VHIST project, http://www.nf.mpg.de/vhist,
which defines a file format suitable for documenting workflows. VHIST
files can store meta-data about the workflow and allow to embed
arbitrary binary data, such as images or log files, inside the
documentation. Embedded data can be validated using multiple facilities.
VHIST files can be viewed with any PDF browser.

(c) Max-Planck-Institute for Neurological Research (MPIFNF)
Cologne, Germany 2005 - 2013
Email: vhist@nf.mpg.de, http://www.nf.mpg.de/vhist

This application is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation
(LGPL version 2.1):

This application is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this application. If not, see
<http://www.gnu.org/licenses/>.

 $Id: searchhighlighter.h 2682 2013-04-16 14:11:03Z ahuesgen $
 */

#ifndef SEARCHHIGHLIGHTER_H
#define SEARCHHIGHLIGHTER_H

#include <QSyntaxHighlighter>

class SearchHighlighter : public QSyntaxHighlighter
{
    Q_OBJECT
public:
    explicit SearchHighlighter(QTextDocument *parent = 0);

protected:
    virtual void highlightBlock(const QString &text);

public slots:
    void setFindString(const QString& findString);
    void setCaseSensitive(bool caseSensitive);

private:
    QString m_findString;
    bool m_caseSensitive;
};

#endif // SEARCHHIGHLIGHTER_H
