/* 
This file is part of the VHIST project, http://www.nf.mpg.de/vhist,
which defines a file format suitable for documenting workflows. VHIST
files can store meta-data about the workflow and allow to embed
arbitrary binary data, such as images or log files, inside the
documentation. Embedded data can be validated using multiple facilities.
VHIST files can be viewed with any PDF browser.

(c) Max-Planck-Institute for Neurological Research (MPIFNF)
Cologne, Germany 2005 - 2013
Email: vhist@nf.mpg.de, http://www.nf.mpg.de/vhist

This application is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation
(LGPL version 2.1):

This application is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this application. If not, see
<http://www.gnu.org/licenses/>.

 $Id: helpviewer.h 1964 2010-04-29 12:57:27Z michael $
 */

#ifndef HELPVIEWER_INCLUDED
#define HELPVIEWER_INCLUDED

#include <QObject>
#include <QString>

class QString;

class HelpViewer : public QObject
{
    Q_OBJECT
    
    public:
        HelpViewer(QObject* parent = NULL);
        QString getDocPath(const QString&);
    
    private slots:
        void viewError(const QString& message);
    
    public slots:
        void openPage(const QString& page, const QString& anchor);
    
    public:
        static void setGlobalInstance(HelpViewer* list);
        static HelpViewer* globalInstance();
        static void globalOpenPage(const QString& page, const QString& anchor);
    
    private:
        static HelpViewer* M_globalViewer;
};

#endif //HELPVIEWER_INCLUDED

