

/**
 * Template class which may either return a value of type T or nothing.
 * T must have a default constructor and be copyable.
 */
template<class T>
class Maybe
{
    public:
        T value;
    
        static just(const T& value)
        {
            return Maybe(value, true);
        }

        static nothing()
        {
            return Maybe(T(), true);
        }
        
        bool isNothing()
        {
            return !success;
        }
    
    private:
        Maybe(const T& value, bool success)
        {
            this->value = value;
            this->success = success;
        }
        
        bool success;
};

