/* 
This file is part of the VHIST project, http://www.nf.mpg.de/vhist,
which defines a file format suitable for documenting workflows. VHIST
files can store meta-data about the workflow and allow to embed
arbitrary binary data, such as images or log files, inside the
documentation. Embedded data can be validated using multiple facilities.
VHIST files can be viewed with any PDF browser.

(c) Max-Planck-Institute for Neurological Research (MPIFNF)
Cologne, Germany 2005 - 2013
Email: vhist@nf.mpg.de, http://www.nf.mpg.de/vhist

This application is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation
(LGPL version 2.1):

This application is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this application. If not, see
<http://www.gnu.org/licenses/>.

 $Id: recentfiles.h 2683 2013-04-16 14:14:01Z ahuesgen $
 */

#ifndef RECENTFILES_H
#define RECENTFILES_H

#include <QString>
#include <QMenu>
#include <QSignalMapper>

class RecentFiles : public QObject
{
    Q_OBJECT

public:
    RecentFiles(const QString& configOption, QMenu& menu, int index = -1,
            QObject* parent = NULL);
    void addRecentFile(const QString& filename);

private:
    void updateAction(QAction* action, int index);
    void truncateRecentFilesList();

private slots:
    void emitRecentFileAction(int index);

signals:
    void recentFileSelected(QString filename);

private:
    QString m_configOption;
    QStringList m_recentFiles;
    QList<QAction*> m_actions;
    QSignalMapper m_mapper;
};

#endif // RECENTFILES_H
