/* 
This file is part of the VHIST project, http://www.nf.mpg.de/vhist,
which defines a file format suitable for documenting workflows. VHIST
files can store meta-data about the workflow and allow to embed
arbitrary binary data, such as images or log files, inside the
documentation. Embedded data can be validated using multiple facilities.
VHIST files can be viewed with any PDF browser.

(c) Max-Planck-Institute for Neurological Research (MPIFNF)
Cologne, Germany 2005 - 2013
Email: vhist@nf.mpg.de, http://www.nf.mpg.de/vhist

This application is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation
(LGPL version 2.1):

This application is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this application. If not, see
<http://www.gnu.org/licenses/>.

 $Id: argfile.h 2054 2010-12-17 13:29:30Z michael $
 */

#ifndef ELIDEDLABEL_H
#define ELIDEDLABEL_H

#include <QLabel>
#include<QString>

class ElidedLabel : public QLabel
{
    Q_OBJECT
    public:
        ElidedLabel( QWidget * parent = 0, Qt::WindowFlags f = 0 );
        ElidedLabel( const QString & text, QWidget * parent = 0, Qt::WindowFlags f = 0 );
        ElidedLabel(const ElidedLabel& rhs);

        ElidedLabel& operator=(const ElidedLabel& rhs);

    protected:
        virtual void resizeEvent(QResizeEvent* event);

    public slots:
        void setText(const QString& text);

    private:
        QString m_fullText;
};

#endif // ELIDEDLABEL_H
