/* 
This file is part of the VHIST project, http://www.nf.mpg.de/vhist,
which defines a file format suitable for documenting workflows. VHIST
files can store meta-data about the workflow and allow to embed
arbitrary binary data, such as images or log files, inside the
documentation. Embedded data can be validated using multiple facilities.
VHIST files can be viewed with any PDF browser.

(c) Max-Planck-Institute for Neurological Research (MPIFNF)
Cologne, Germany 2005 - 2013
Email: vhist@nf.mpg.de, http://www.nf.mpg.de/vhist

This application is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation
(LGPL version 2.1):

This application is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this application. If not, see
<http://www.gnu.org/licenses/>.

 $Id: vhistfindhellomessage.cpp 2234 2011-07-06 14:45:20Z ahuesgen $
 */

#include <QObject>
#include <QString>

QString getVhistFindHelloMessage()
{
    QString VHISTFIND_HELLO_MESSAGE(QObject::tr(
        "<html><head><style type=\"text/css\">"
        ".code { font-family:Courier New;monospace; }"
        "</style></head><body>"
        "<table>"
        "<tr class=\"simpletable\">"
        "<td class=\"simpletable\" vertical-align=\"middle\">"
        "<a href=\"http://www.nf.mpg.de/vhist\" >"
        "<img border=\"0\" width=\"64\" height=\"64\" src=\":/resources/vhistzard1-64.png\"/>"
        "</a> &nbsp;"
        "</td>"
        "<td class=\"simpletable\" vertical-align=\"middle\">"
        "%1. <br />"
        "<small>Copyright (c) %2</small><br/>"
        "<small>Max Planck Institute for Neurological Research</small><br/>"
        "<small>Cologne, Germany &nbsp;"
        "<a href=\"http://www.nf.mpg.de/vhist\">http://www.nf.mpg.de/vhist</a></small><br/>"
        "<small>Email: <a href=\"mailto:vhist@nf.mpg.de\">vhist@nf.mpg.de</a>"
        "</td>"
        "</tr>"
        "</table>"
        "<br /> <br />"
        "Type some <b>search terms</b> and select a <b>directory</b> to search for "
        "all VHIST files in this directory containing the typed words. "
        "For more complex queries, "
        "you can use a more powerful query language. The following listing "
        "gives some examples of possible queries:"
        "<ul>"
        "<li> <div class=\"code\">Preprocessing Postprocessing</div></li>"
        "<li> <div class=\"code\">\"Validate Results\"</div></li>"
        "<li> <div class=\"code\">:timestamp >= 2011-04-29</div></li>"
        "<li> <div class=\"code\">x:filename == output.dat x:filesize > 10mb</div></li>"
        "<li> <div class=\"code\">x:title == \"A Section\" y:filename == some-file.txt x:tagid == y:parentid</div></li>"
        "</ul>"
        "<br/>"
        "Please see the "
        "<a href=\"doc://theindex.html\" >"
        "<b>Local Help</b>"
        "</a>"
        " (F1) a detailed description of the query language "
        "and also for "
        "<a href=\"doc://disclaimer.html\" >"
        "<b>DISCLAIMER</b>"
        "</a>"
        " and "
        "<a href=\"doc://license.html\" >"
        "<b>license conditions</b>"
        "</a>"
        ".</body></html>"));
    return VHISTFIND_HELLO_MESSAGE;
}

