# $Id: main.pro 4286 2008-05-30 08:02:52Z michael $

# to build vhistlib for Vinci
# set qmake property on the command-line: qmake -set VHAVE_VHISTLIB yes
# unset qmake property by: qmake -set VHAVE_VHISTLIB ""
VHAVE_VHISTLIB=$$[VHAVE_VHISTLIB]

count(VHAVE_VHISTLIB,1) {

    TEMPLATE = lib

    CONFIG += qt warn_on
    CONFIG += silent

    CONFIG(debug, debug|release) {
        message(Debug build (library).)
        TARGET = vhistzardlibd
        DEFINES += VDEBUG
        OBJECTS_DIR = Debug
        RCC_DIR = Debug
        MOC_DIR = Debug
        CONFIG -= app_bundle
    }
    else::release {
        message(Release build (library).)
        TARGET = vhistzardlib
        DEFINES += VRELEASE
        OBJECTS_DIR = Release
        RCC_DIR = Release
        MOC_DIR = Release
    }


    DEFINES += VHISTZARD_LIB
    DEFINES += VHAVE_VHISTLIB
    
    QMAKE_CFLAG += -fPIC
    INCLUDEPATH += ./include

    HEADERS += \
        ./include/vhistzard_defines.h \
        ./include/vhistzardlib.h \

    SOURCES += \
        vhistzardlib.cpp \

    }
    else {

    TEMPLATE = app

    CONFIG += qt warn_on
    CONFIG(debug, debug|release) {
        message(Debug build (app).)
        TARGET = vhistzardd
        DEFINES += VDEBUG
        contains(QMAKE_HOST.arch, x86):{
            OBJECTS_DIR = Debug
            RCC_DIR = Debug
            MOC_DIR = Debug
        }
        contains(QMAKE_HOST.arch, x86_64):{
            OBJECTS_DIR = Debug64
            RCC_DIR = Debug64
            MOC_DIR = Debug64
        }
        CONFIG -= app_bundle
    }
    else::release {
        message(Release build (app).)
        TARGET = vhistzard
        DEFINES += VRELEASE
        contains(QMAKE_HOST.arch, x86):{
            OBJECTS_DIR = Release
            RCC_DIR = Release
            MOC_DIR = Release
        }
        contains(QMAKE_HOST.arch, x86_64):{
            OBJECTS_DIR = Release64
            RCC_DIR = Release64
            MOC_DIR = Release64
        }   
    }

    SOURCES += \
        main.cpp \

}

INCLUDEPATH += ../vhistlib/include

# add link pathes and libraries
win32 {
    DEFINES += _CRT_NONSTDC_NO_DEPRECATE
    DEFINES += _CRT_SECURE_NO_DEPRECATE
    INCLUDEPATH += $$(QTDIR)/src/3rdparty/zlib

    count(VHAVE_VHISTLIB,1) {
        contains(QMAKE_HOST.arch, x86):{
            QMAKE_LFLAGS *= /MACHINE:X86
            DEST_DIR_NAME=bin
        }
        contains(QMAKE_HOST.arch, x86_64):{
            QMAKE_LFLAGS *= /MACHINE:X64
            DEST_DIR_NAME=bin-x64
        }

        DESTDIR = ../../../vinci_q/$$DEST_DIR_NAME
        CONFIG(debug, debug|release): {
            LIBS += -L../../../vinci_q/$$DEST_DIR_NAME -lvhistlibd
        }
        else::release: {
            LIBS += -L../../../vinci_q/$$DEST_DIR_NAME -lvhistlib
        }
    }
    else {
        contains(QMAKE_HOST.arch, x86):{
            QMAKE_LFLAGS *= /MACHINE:X86
            DESTDIR = ../../bin_win32
        }
        contains(QMAKE_HOST.arch, x86_64):{
            QMAKE_LFLAGS *= /MACHINE:X64
            DESTDIR = ../../bin_win64
        }
        message($${DESTDIR})
        message($${QMAKE_HOST.arch})
        CONFIG(debug, debug|release): {
            LIBS += -L$${DESTDIR} -lvhistlibd
        }
        else::release: {
            LIBS += -L$${DESTDIR} -lvhistlib
        }
    }
}

unix {
    count(VHAVE_VHISTLIB,1) {
        DESTDIR = ../../../vinci_q/bin
        CONFIG(debug, debug|release): {
            LIBS += -lz 
            LIBS += -L../../../vinci_q/bin -lvhistlibd
        }
        else::release: {
            LIBS += -lz
            LIBS += -L../../../vinci_q/bin -lvhistlib
        }
    }
    else {
        DESTDIR = bin
        CONFIG(debug, debug|release): {
            LIBS += -lz 
            LIBS += -L../vhistlib/bin -lvhistlibd
        }
        else::release: {
            LIBS += -lz
            LIBS += -L../vhistlib/bin -lvhistlib
        }
    }
}

linux-g++::QMAKE_LFLAGS += -Wl,-rpath,\'\$\$ORIGIN\'
linux-g++-32::QMAKE_LFLAGS += -Wl,-rpath,\'\$\$ORIGIN\'
linux-g++-64::QMAKE_LFLAGS += -Wl,-rpath,\'\$\$ORIGIN\'
solaris-g++:QMAKE_LFLAGS += -R\'\$\$ORIGIN\':/usr/sfw/lib
solaris-g++-64:QMAKE_LFLAGS += -R\'\$\$ORIGIN\':/usr/sfw/lib/64
solaris-cc:QMAKE_LFLAGS += -R\'\$\$ORIGIN\':/usr/sfw/lib
solaris-cc-64:QMAKE_LFLAGS += -R\'\$\$ORIGIN\':/usr/sfw/lib/64

mac { 
    LIBS += -framework \
        Carbon
    QMAKE_INFO_PLIST = vhistzard.plist
    ICON = mac_vhistzard0.icns
}

win32::RC_FILE = win32_vhistzard.rc

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets
greaterThan(QT_MAJOR_VERSION, 4): QT += printsupport

include(vhistzard.pri)
